Bug 594826 - saving screenshots during install leads to "OSError: [Errno 2] No such file or directory: '/tmp/anaconda-screenshots'" at end of install
Summary: saving screenshots during install leads to "OSError: [Errno 2] No such file o...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: anaconda
Version: 6.0
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Ales Kozumplik
QA Contact: Release Test Team
URL:
Whiteboard: anaconda_trace_hash:cd9e9ad85afff3924...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-21 17:19 UTC by Bill Nottingham
Modified: 2014-09-30 23:39 UTC (History)
5 users (show)

Fixed In Version: anaconda-13.21.51-1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-11-10 19:44:40 UTC
Target Upstream Version:


Attachments (Terms of Use)
Attached traceback automatically from anaconda. (551.71 KB, text/plain)
2010-05-21 17:19 UTC, Bill Nottingham
no flags Details

Description Bill Nottingham 2010-05-21 17:19:03 UTC
The following was filed automatically by anaconda:
anaconda 13.21.44 exception report
Traceback (most recent call first):
  File "/usr/lib/anaconda/gui.py", line 114, in copyScreenshots
    for f in os.listdir(screenshotDir):
  File "/usr/lib/anaconda/iw/congrats_gui.py", line 59, in getNext
    gui.copyScreenshots()
  File "/usr/lib/anaconda/gui.py", line 1331, in nextClicked
    rc = self.currentWindow.getNext ()
  File "/usr/lib/anaconda/gui.py", line 1473, in keyRelease
    self.nextClicked()
OSError: [Errno 2] No such file or directory: '/tmp/anaconda-screenshots'

Comment 1 Bill Nottingham 2010-05-21 17:19:07 UTC
Created attachment 415738 [details]
Attached traceback automatically from anaconda.

Comment 2 Bill Nottingham 2010-05-21 17:21:51 UTC
This occured on an install when I saved screenshots; it happened when I hit F12 at the 'Congratulations' screen.

It's correct that /tmp/anaconda-screenshots doesn't exist; AFAICT, they're *already* saved in /mnt/sysimage/tmp/anaconda-screenshots.

Comment 4 RHEL Program Management 2010-05-21 18:17:00 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.

Comment 5 Chris Lumens 2010-05-24 14:43:46 UTC
Your screenshots are being written to /mnt/sysimage/tmp/anaconda-screenshots instead of /tmp/anaconda-screenshots?  Are you positive?  Because that's pretty odd, and I can't see how that could be the case unless we are somehow chrooted when calling takeScreenShot().

Comment 6 Bill Nottingham 2010-05-24 14:54:30 UTC
I'll double check again tomorrow, but I do recall them being in /mnt/sysimage/tmp...

The screenshots were taken during package installation, if that helps.

Comment 7 Bill Nottingham 2010-05-25 20:52:43 UTC
Verified in 20100524.n.0. Screenshots during package installation are written to /mnt/sysimage/tmp.

Also of note - hitting just printscreen pops up an error message from metacity trying to run gnome-screenshot.

Comment 8 David Cantrell 2010-05-27 15:12:50 UTC
(In reply to comment #7)
> Verified in 20100524.n.0. Screenshots during package installation are written
> to /mnt/sysimage/tmp.
> 
> Also of note - hitting just printscreen pops up an error message from metacity
> trying to run gnome-screenshot.    

Oh that's lame.  Should we:

    ln -s /bin/true /usr/bin/gnome-screenshot

in install.img?

Comment 9 Bill Nottingham 2010-05-27 15:59:24 UTC
That works. Or you could catch those keys and run the anaconda-specific screenshot code? (That might be more complicated.)

Comment 10 Ales Kozumplik 2010-05-31 10:33:59 UTC
This bug is actually several problems:

1) we do not consider screenshots taken while yum/rpm chroots us into /mnt/sysimage (yes, that really happens)

2) pressing F12 on the last screen doesn't have the same effect as just pressing reboot. pushing the button exits anaconda immediately while pressing f12 does the copying too.

3) the error dialog on printscreen.

I'll try to come up with a fix for all three.

Comment 11 Ales Kozumplik 2010-06-10 15:01:56 UTC
Fixed by 38fc82b2ee568d57b53904800557f980a5640ffb in anaconda-31.21.51-1.el6.

Comment 13 Alexander Todorov 2010-07-02 09:39:17 UTC
Tested with snapshot #7 and the results are:


(In reply to comment #10)
> This bug is actually several problems:
> 
> 1) we do not consider screenshots taken while yum/rpm chroots us into
> /mnt/sysimage (yes, that really happens)
> 

I took several screenshots during package installation. After install all of them were there.

> 2) pressing F12 on the last screen doesn't have the same effect as just
> pressing reboot. pushing the button exits anaconda immediately while pressing
> f12 does the copying too.
> 

Pressing F12 at the end of the installation didn't lead to traceback. There was a dialog that told me that all screenshots were saved under /root/anaconda-screenshots. This has been fixed.

> 3) the error dialog on printscreen.
> 

When pressing the print screen button during installation there was a message that a new screenshot has been taken. This is fixed. 


Moving to VERIFIED.

Comment 14 releng-rhel@redhat.com 2010-11-10 19:44:40 UTC
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.